/*
 * #%L
 * JRedmine :: Client
 * 
 * $Id: IssueScopeRequestBuilder.java 186 2011-05-20 12:32:08Z tchemit $
 * $HeadURL: http://svn.nuiton.org/svn/jredmine/tags/jredmine-1.2/jredmine-client/src/main/java/org/nuiton/jredmine/rest/IssueScopeRequestBuilder.java $
 * %%
 * Copyright (C) 2009 - 2010 Tony Chemit, CodeLutin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */
package org.nuiton.jredmine.rest;

/**
 * Builder of requests which are in a project and issue context.
 * <p/>
 * Created: 1 janv. 2010
 *
 * @author Tony Chemit <chemit@codelutin.com> Copyright Code Lutin
 * @version $Revision: 186 $
 *          <p/>
 *          Mise a jour: $Date: 2011-05-20 14:32:08 +0200 (Fri, 20 May 2011) $ par :
 *          $Author: tchemit $
 * @since 1.0.3
 */
public class IssueScopeRequestBuilder extends ProjectScopeRequestBuilder {

    public IssueScopeRequestBuilder(String name, String action) {
        super(name, action);
    }

    @Override
    public String[] getParameters(Object... args) {

        // args 1 = project id
        // args 2 = issue id

        String issueId = (String) args[1];

        return new String[]{
                "issue_id", issueId
        };
    }
}
